## lenovolegionlinux 0.0.10+ds

=== kernel_module/6_1_patch/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for linux/drivers/platform/x86
# x86 Platform-Specific Drivers
#

# Windows Management Interface
obj-$(CONFIG_ACPI_WMI)		+= wmi.o
obj-$(CONFIG_WMI_BMOF)		+= wmi-bmof.o

# WMI drivers
obj-$(CONFIG_HUAWEI_WMI)		+= huawei-wmi.o
obj-$(CONFIG_MXM_WMI)			+= mxm-wmi.o
obj-$(CONFIG_NVIDIA_WMI_EC_BACKLIGHT)	+= nvidia-wmi-ec-backlight.o
obj-$(CONFIG_PEAQ_WMI)			+= peaq-wmi.o
obj-$(CONFIG_XIAOMI_WMI)		+= xiaomi-wmi.o
obj-$(CONFIG_GIGABYTE_WMI)		+= gigabyte-wmi.o
obj-$(CONFIG_YOGABOOK_WMI)		+= lenovo-yogabook-wmi.o

# Acer
obj-$(CONFIG_ACERHDF)		+= acerhdf.o
obj-$(CONFIG_ACER_WIRELESS)	+= acer-wireless.o
obj-$(CONFIG_ACER_WMI)		+= acer-wmi.o

# AMD
obj-y				+= amd/

# Advantech
obj-$(CONFIG_ADV_SWBUTTON)	+= adv_swbutton.o

# Apple
obj-$(CONFIG_APPLE_GMUX)	+= apple-gmux.o

# ASUS
obj-$(CONFIG_ASUS_LAPTOP)	+= asus-laptop.o
obj-$(CONFIG_ASUS_WIRELESS)	+= asus-wireless.o
obj-$(CONFIG_ASUS_WMI)		+= asus-wmi.o
obj-$(CONFIG_ASUS_NB_WMI)	+= asus-nb-wmi.o
obj-$(CONFIG_ASUS_TF103C_DOCK)	+= asus-tf103c-dock.o
obj-$(CONFIG_EEEPC_LAPTOP)	+= eeepc-laptop.o
obj-$(CONFIG_EEEPC_WMI)		+= eeepc-wmi.o

# Cisco/Meraki
obj-$(CONFIG_MERAKI_MX100)	+= meraki-mx100.o

# Dell
obj-$(CONFIG_X86_PLATFORM_DRIVERS_DELL)		+= dell/

# Fujitsu
obj-$(CONFIG_AMILO_RFKILL)	+= amilo-rfkill.o
obj-$(CONFIG_FUJITSU_LAPTOP)	+= fujitsu-laptop.o
obj-$(CONFIG_FUJITSU_TABLET)	+= fujitsu-tablet.o

# GPD
obj-$(CONFIG_GPD_POCKET_FAN)	+= gpd-pocket-fan.o

# Hewlett Packard
obj-$(CONFIG_HP_ACCEL)		+= hp_accel.o
obj-$(CONFIG_HP_WMI)		+= hp-wmi.o
obj-$(CONFIG_TC1100_WMI)	+= tc1100-wmi.o

# Hewlett Packard Enterprise
obj-$(CONFIG_UV_SYSFS)       += uv_sysfs.o

# IBM Thinkpad and Lenovo
obj-$(CONFIG_IBM_RTL)		+= ibm_rtl.o
obj-$(CONFIG_IDEAPAD_LAPTOP)	+= ideapad-laptop.o
obj-$(CONFIG_SENSORS_HDAPS)	+= hdaps.o
obj-$(CONFIG_THINKPAD_ACPI)	+= thinkpad_acpi.o
obj-$(CONFIG_THINKPAD_LMI)	+= think-lmi.o
obj-$(CONFIG_LEGION_LAPTOP)	+= legion-laptop.o

# Intel
obj-y				+= intel/

# MSI
obj-$(CONFIG_MSI_LAPTOP)	+= msi-laptop.o
obj-$(CONFIG_MSI_WMI)		+= msi-wmi.o

# OLPC
obj-$(CONFIG_XO15_EBOOK)	+= xo15-ebook.o
obj-$(CONFIG_XO1_RFKILL)	+= xo1-rfkill.o

# PC Engines
obj-$(CONFIG_PCENGINES_APU2)	+= pcengines-apuv2.o

# Barco
obj-$(CONFIG_BARCO_P50_GPIO)	+= barco-p50-gpio.o

# Samsung
obj-$(CONFIG_SAMSUNG_LAPTOP)	+= samsung-laptop.o
obj-$(CONFIG_SAMSUNG_Q10)	+= samsung-q10.o

# Toshiba
obj-$(CONFIG_TOSHIBA_BT_RFKILL)	+= toshiba_bluetooth.o
obj-$(CONFIG_TOSHIBA_HAPS)	+= toshiba_haps.o
obj-$(CONFIG_TOSHIBA_WMI)	+= toshiba-wmi.o

# toshiba_acpi must link after wmi to ensure that wmi devices are found
# before toshiba_acpi initializes
obj-$(CONFIG_ACPI_TOSHIBA)	+= toshiba_acpi.o

# Laptop drivers
obj-$(CONFIG_ACPI_CMPC)		+= classmate-laptop.o
obj-$(CONFIG_COMPAL_LAPTOP)	+= compal-laptop.o
obj-$(CONFIG_LG_LAPTOP)		+= lg-laptop.o
obj-$(CONFIG_PANASONIC_LAPTOP)	+= panasonic-laptop.o
obj-$(CONFIG_SONY_LAPTOP)	+= sony-laptop.o
obj-$(CONFIG_SYSTEM76_ACPI)	+= system76_acpi.o
obj-$(CONFIG_TOPSTAR_LAPTOP)	+= topstar-laptop.o

# Platform drivers
obj-$(CONFIG_FW_ATTR_CLASS)		+= firmware_attributes_class.o
obj-$(CONFIG_SERIAL_MULTI_INSTANTIATE)	+= serial-multi-instantiate.o
obj-$(CONFIG_MLX_PLATFORM)		+= mlx-platform.o
obj-$(CONFIG_TOUCHSCREEN_DMI)		+= touchscreen_dmi.o
obj-$(CONFIG_WIRELESS_HOTKEY)		+= wireless-hotkey.o
obj-$(CONFIG_X86_ANDROID_TABLETS)	+= x86-android-tablets.o

# Intel uncore drivers
obj-$(CONFIG_INTEL_IPS)				+= intel_ips.o

# Intel miscellaneous drivers
intel_p2sb-y				:= p2sb.o
obj-$(CONFIG_P2SB)			+= intel_p2sb.o

# Intel PMIC / PMC / P-Unit devices
obj-$(CONFIG_INTEL_SCU_IPC)		+= intel_scu_ipc.o
obj-$(CONFIG_INTEL_SCU_PCI)		+= intel_scu_pcidrv.o
obj-$(CONFIG_INTEL_SCU_PLATFORM)	+= intel_scu_pltdrv.o
obj-$(CONFIG_INTEL_SCU_WDT)		+= intel_scu_wdt.o
obj-$(CONFIG_INTEL_SCU_IPC_UTIL)	+= intel_scu_ipcutil.o
obj-$(CONFIG_X86_INTEL_LPSS)		+= pmc_atom.o

# Siemens Simatic Industrial PCs
obj-$(CONFIG_SIEMENS_SIMATIC_IPC)	+= simatic-ipc.o

# Winmate
obj-$(CONFIG_WINMATE_FM07_KEYS)		+= winmate-fm07-keys.o

=== kernel_module/6_5_patch/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for linux/drivers/platform/x86
# x86 Platform-Specific Drivers
#

# Windows Management Interface
obj-$(CONFIG_ACPI_WMI)		+= wmi.o
obj-$(CONFIG_WMI_BMOF)		+= wmi-bmof.o

# WMI drivers
obj-$(CONFIG_HUAWEI_WMI)		+= huawei-wmi.o
obj-$(CONFIG_MXM_WMI)			+= mxm-wmi.o
obj-$(CONFIG_NVIDIA_WMI_EC_BACKLIGHT)	+= nvidia-wmi-ec-backlight.o
obj-$(CONFIG_XIAOMI_WMI)		+= xiaomi-wmi.o
obj-$(CONFIG_GIGABYTE_WMI)		+= gigabyte-wmi.o

# Acer
obj-$(CONFIG_ACERHDF)		+= acerhdf.o
obj-$(CONFIG_ACER_WIRELESS)	+= acer-wireless.o
obj-$(CONFIG_ACER_WMI)		+= acer-wmi.o

# AMD
obj-y				+= amd/

# Advantech
obj-$(CONFIG_ADV_SWBUTTON)	+= adv_swbutton.o

# Apple
obj-$(CONFIG_APPLE_GMUX)	+= apple-gmux.o

# ASUS
obj-$(CONFIG_ASUS_LAPTOP)	+= asus-laptop.o
obj-$(CONFIG_ASUS_WIRELESS)	+= asus-wireless.o
obj-$(CONFIG_ASUS_WMI)		+= asus-wmi.o
obj-$(CONFIG_ASUS_NB_WMI)	+= asus-nb-wmi.o
obj-$(CONFIG_ASUS_TF103C_DOCK)	+= asus-tf103c-dock.o
obj-$(CONFIG_EEEPC_LAPTOP)	+= eeepc-laptop.o
obj-$(CONFIG_EEEPC_WMI)		+= eeepc-wmi.o

# Cisco/Meraki
obj-$(CONFIG_MERAKI_MX100)	+= meraki-mx100.o

# Dell
obj-$(CONFIG_X86_PLATFORM_DRIVERS_DELL)		+= dell/

# Fujitsu
obj-$(CONFIG_AMILO_RFKILL)	+= amilo-rfkill.o
obj-$(CONFIG_FUJITSU_LAPTOP)	+= fujitsu-laptop.o
obj-$(CONFIG_FUJITSU_TABLET)	+= fujitsu-tablet.o

# GPD
obj-$(CONFIG_GPD_POCKET_FAN)	+= gpd-pocket-fan.o

# Hewlett Packard
obj-$(CONFIG_X86_PLATFORM_DRIVERS_HP)	+= hp/

# Hewlett Packard Enterprise
obj-$(CONFIG_UV_SYSFS)       += uv_sysfs.o

# IBM Thinkpad and Lenovo
obj-$(CONFIG_IBM_RTL)		+= ibm_rtl.o
obj-$(CONFIG_IDEAPAD_LAPTOP)	+= ideapad-laptop.o
obj-$(CONFIG_LENOVO_YMC)	+= lenovo-ymc.o
obj-$(CONFIG_SENSORS_HDAPS)	+= hdaps.o
obj-$(CONFIG_THINKPAD_ACPI)	+= thinkpad_acpi.o
obj-$(CONFIG_THINKPAD_LMI)	+= think-lmi.o
obj-$(CONFIG_LEGION_LAPTOP)	+= legion-laptop.o
obj-$(CONFIG_YOGABOOK)		+= lenovo-yogabook.o

# Intel
obj-y				+= intel/

# MSI
obj-$(CONFIG_MSI_EC)		+= msi-ec.o
obj-$(CONFIG_MSI_LAPTOP)	+= msi-laptop.o
obj-$(CONFIG_MSI_WMI)		+= msi-wmi.o

# OLPC
obj-$(CONFIG_XO15_EBOOK)	+= xo15-ebook.o
obj-$(CONFIG_XO1_RFKILL)	+= xo1-rfkill.o

# PC Engines
obj-$(CONFIG_PCENGINES_APU2)	+= pcengines-apuv2.o

# Barco
obj-$(CONFIG_BARCO_P50_GPIO)	+= barco-p50-gpio.o

# Samsung
obj-$(CONFIG_SAMSUNG_LAPTOP)	+= samsung-laptop.o
obj-$(CONFIG_SAMSUNG_Q10)	+= samsung-q10.o

# Toshiba
obj-$(CONFIG_TOSHIBA_BT_RFKILL)	+= toshiba_bluetooth.o
obj-$(CONFIG_TOSHIBA_HAPS)	+= toshiba_haps.o
obj-$(CONFIG_TOSHIBA_WMI)	+= toshiba-wmi.o

# toshiba_acpi must link after wmi to ensure that wmi devices are found
# before toshiba_acpi initializes
obj-$(CONFIG_ACPI_TOSHIBA)	+= toshiba_acpi.o

# Laptop drivers
obj-$(CONFIG_ACPI_CMPC)		+= classmate-laptop.o
obj-$(CONFIG_COMPAL_LAPTOP)	+= compal-laptop.o
obj-$(CONFIG_LG_LAPTOP)		+= lg-laptop.o
obj-$(CONFIG_PANASONIC_LAPTOP)	+= panasonic-laptop.o
obj-$(CONFIG_SONY_LAPTOP)	+= sony-laptop.o
obj-$(CONFIG_SYSTEM76_ACPI)	+= system76_acpi.o
obj-$(CONFIG_TOPSTAR_LAPTOP)	+= topstar-laptop.o

# Platform drivers
obj-$(CONFIG_FW_ATTR_CLASS)		+= firmware_attributes_class.o
obj-$(CONFIG_SERIAL_MULTI_INSTANTIATE)	+= serial-multi-instantiate.o
obj-$(CONFIG_MLX_PLATFORM)		+= mlx-platform.o
obj-$(CONFIG_TOUCHSCREEN_DMI)		+= touchscreen_dmi.o
obj-$(CONFIG_WIRELESS_HOTKEY)		+= wireless-hotkey.o
obj-$(CONFIG_X86_ANDROID_TABLETS)	+= x86-android-tablets/

# Intel uncore drivers
obj-$(CONFIG_INTEL_IPS)				+= intel_ips.o

# Intel miscellaneous drivers
intel_p2sb-y				:= p2sb.o
obj-$(CONFIG_P2SB)			+= intel_p2sb.o

# Intel PMIC / PMC / P-Unit devices
obj-$(CONFIG_INTEL_SCU_IPC)		+= intel_scu_ipc.o
obj-$(CONFIG_INTEL_SCU_PCI)		+= intel_scu_pcidrv.o
obj-$(CONFIG_INTEL_SCU_PLATFORM)	+= intel_scu_pltdrv.o
obj-$(CONFIG_INTEL_SCU_WDT)		+= intel_scu_wdt.o
obj-$(CONFIG_INTEL_SCU_IPC_UTIL)	+= intel_scu_ipcutil.o
obj-$(CONFIG_X86_INTEL_LPSS)		+= pmc_atom.o

# Siemens Simatic Industrial PCs
obj-$(CONFIG_SIEMENS_SIMATIC_IPC)	+= simatic-ipc.o

# Winmate
obj-$(CONFIG_WINMATE_FM07_KEYS)		+= winmate-fm07-keys.o

=== extra/service/legiond/Makefile ===
CFLAGS ?= -Wall -O2

TARGET1 = legiond
SOURCE1 = $(TARGET1).c
TARGET2 = legiond-cli
SOURCE2 = $(TARGET2).c

all: $(TARGET1) $(TARGET2)

$(TARGET1): $(SOURCE1)
	$(CC) $(CFLAGS) -o $@ $^

$(TARGET2): $(SOURCE2)
	$(CC) $(CFLAGS) -o $@ $^

clean:
	rm -f $(TARGET1) $(TARGET2)

=== debian/changelog ===
lenovolegionlinux (0.0.10+ds-2) unstable; urgency=medium

  * Fix handling upstream version.
  * Cleans better.
  * Fix installing ACPI files.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 17:53:22 +0100

lenovolegionlinux (0.0.10+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1065823)

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Mar 2024 17:55:37 +0100

=== debian/control ===
Source: lenovolegionlinux
Section: utils
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 dh-sequence-dkms,
 dkms,
 lm-sensors,
 mokutil,
 openssl,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/johnfanv2/LenovoLegionLinux
Vcs-Browser: https://salsa.debian.org/debian/lenovolegionlinux
Vcs-Git: https://salsa.debian.org/debian/lenovolegionlinux.git
Testsuite: autopkgtest-pkg-dkms

Package: python3-legion-linux
Architecture: all
Depends:
 python3-argcomplete,
 python3-pyqt5,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: CLI and GUI for Lenovo Legion laptops fan and power control
 This package provides a command line interface and a graphical user interface
 for controlling many power and fan behavior for Lenovo Legion Laptops. It is
 implemented in Python.
 .
 This package also sets fan curve on startup for Lenovo Legion laptops, and
 apply different profiles if the battery charge is plugged or not.

Package: legiond
Section: utils
Architecture: amd64
Depends:
 lenovolegionlinux-dkms,
 python3-legion-linux,
 ${misc:Depends},
 ${shlibs:Depends},
Description: daemon for Lenovo Legion laptops
 Lenovo Legion Linux Daemon for setting fan curve on resume, or through a
 socket. It takes advantage of the legion_laptop kernel module provided by
 the lenovolegionlinux-dkms package, and perform on-resume operations.

Package: lenovolegionlinux-dkms
Section: contrib/kernel
Architecture: amd64
Depends:
 ${misc:Depends},
Description: DKMS kernel module for Lenovo Legion laptops
 This package provides DKMS kernel modules for Lenovo Legion laptops.
 .
 This driver exports the files /sys/kernel/debug/legion/fancurve (ro): the fan
 curve stored in the firmware in the form of a human readable table.
 /sys/module/legion_laptop/drivers/platform\:legion/PNP0C09\:00/powermode (rw)
  - 0: balanced mode (white)
  - 1: performance mode (red)
  - 2: quiet mode (blue)
  - ?: custom mode (pink)
 .
 It implements the usual hwmon interface to monitor fan speed and temmperature
 and allows to set the fan curve inside the firware.
 .
 - /sys/class/hwmon/X/fan1_input or /sys/class/hwmon/X/fan2_input (ro)
   Current fan speed of fan1/fan2.
 - /sys/class/hwmon/X/temp{1,2,3}_input (ro): temperature (Celsius) of CPU,
 GPU, and IC used for fan control.
 - /sys/class/hwmon/X/pwmY_auto_pointZ_pwm (rw) PWM (0-255) of the fan at the
 Y-level in the fan curve.
 - /sys/class/hwmon/X/pwmY_auto_pointZ_temp (rw) upper temperature of tempZ
 (CPU, GPU, or IC) at the Y-level in the fan curve.
 - /sys/class/hwmon/X/pwmY_auto_pointZ_temp_hyst (rw) hysteris (CPU, GPU, or
 IC) at the Y-level in the fan curve. The lower temperatue of the level is the
 upper temperature minus the hysteris.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

include /usr/share/openstack-pkg-tools/pkgos.make

PYTHON3S:=$(shell py3versions -vr)

export UP_VERS=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~bpo.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' -e 's/+ds//' | head -n 1)

#export CFLAGS=-lrt

%:
	dh $@ --with python3 $(MAX_PARALLEL)

override_dh_auto_clean:
	rm -f $(CURDIR)/extra/service/legiond/legiond
	rm -f $(CURDIR)/extra/service/legiond/legiond-cli
	rm -f debian/lenovolegionlinux-dkms.dkms debian/lenovolegionlinux-dkms.postinst debian/lenovolegionlinux-dkms.prerm
	rm -rf python/legion_linux/build python/legion_linux/legion_linux.egg-info
	sed -i s/$(UP_VERS)/_VERSION/ python/legion_linux/setup.cfg
	dh_auto_clean

override_dh_auto_build:
	# Make versions:
	cp debian/lenovolegionlinux-dkms.dkms.in debian/lenovolegionlinux-dkms.dkms
	sed -i s/%%%VERSION%%%/$(UP_VERS)/g debian/lenovolegionlinux-dkms.dkms

	cp debian/lenovolegionlinux-dkms.postinst.in debian/lenovolegionlinux-dkms.postinst
	sed -i s/%%%VERSION%%%/$(UP_VERS)/g debian/lenovolegionlinux-dkms.postinst

	cp debian/lenovolegionlinux-dkms.prerm.in debian/lenovolegionlinux-dkms.prerm
	sed -i s/%%%VERSION%%%/$(UP_VERS)/g debian/lenovolegionlinux-dkms.prerm

	$(MAKE) -C $(CURDIR)/extra/service/legiond
	sed -i s/_VERSION/$(UP_VERS)/ python/legion_linux/setup.cfg
	dh_auto_build

override_dh_auto_install:
	# The DKMS stuff
	mkdir -p $(CURDIR)/debian/lenovolegionlinux-dkms/usr/src/legion-laptop-$(UP_VERS)
	cp -a kernel_module/Makefile kernel_module/*.c debian/lenovolegionlinux-dkms/usr/src/legion-laptop-$(UP_VERS)
#	rm -rf $(CURDIR)/debian/lenovolegionlinux-dkms/usr/src/Lenovo*
#	cp debian/lenovolegionlinux-dkms.dkms debian/lenovolegionlinux-dkms/usr/src/legion-laptop-$(UP_VERS)/dkms.conf

	# Python stuff
	set -e ; set -x ; cd python/legion_linux ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-legion-linux ; \
	done ; \
	cd $(CURDIR)

	dh_auto_install

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd -p legiond --name=legiond-onresume
	dh_installsystemd -p legiond --name=legiond

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="repacksuffix=+ds,\
dversionmangle=s/\+ds$//,\
mode=git,\
uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/-prerelease//" \
https://github.com/johnfanv2/LenovoLegionLinux refs/tags/v(\d[brc\d\.]+)-prerelease \
debian debian/repack

## lenovolegionlinux 0.0.16+ds

=== kernel_module/6_8_patch/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for linux/drivers/platform/x86
# x86 Platform-Specific Drivers
#

# Windows Management Interface
obj-$(CONFIG_ACPI_WMI)		+= wmi.o
obj-$(CONFIG_WMI_BMOF)		+= wmi-bmof.o

# WMI drivers
obj-$(CONFIG_HUAWEI_WMI)		+= huawei-wmi.o
obj-$(CONFIG_MXM_WMI)			+= mxm-wmi.o
obj-$(CONFIG_NVIDIA_WMI_EC_BACKLIGHT)	+= nvidia-wmi-ec-backlight.o
obj-$(CONFIG_XIAOMI_WMI)		+= xiaomi-wmi.o
obj-$(CONFIG_GIGABYTE_WMI)		+= gigabyte-wmi.o

# Acer
obj-$(CONFIG_ACERHDF)		+= acerhdf.o
obj-$(CONFIG_ACER_WIRELESS)	+= acer-wireless.o
obj-$(CONFIG_ACER_WMI)		+= acer-wmi.o

# AMD
obj-y				+= amd/

# Advantech
obj-$(CONFIG_ADV_SWBUTTON)	+= adv_swbutton.o

# Apple
obj-$(CONFIG_APPLE_GMUX)	+= apple-gmux.o

# ASUS
obj-$(CONFIG_ASUS_LAPTOP)	+= asus-laptop.o
obj-$(CONFIG_ASUS_WIRELESS)	+= asus-wireless.o
obj-$(CONFIG_ASUS_WMI)		+= asus-wmi.o
obj-$(CONFIG_ASUS_NB_WMI)	+= asus-nb-wmi.o
obj-$(CONFIG_ASUS_TF103C_DOCK)	+= asus-tf103c-dock.o
obj-$(CONFIG_EEEPC_LAPTOP)	+= eeepc-laptop.o
obj-$(CONFIG_EEEPC_WMI)		+= eeepc-wmi.o

# Cisco/Meraki
obj-$(CONFIG_MERAKI_MX100)	+= meraki-mx100.o

# Dell
obj-$(CONFIG_X86_PLATFORM_DRIVERS_DELL)		+= dell/

# Fujitsu
obj-$(CONFIG_AMILO_RFKILL)	+= amilo-rfkill.o
obj-$(CONFIG_FUJITSU_LAPTOP)	+= fujitsu-laptop.o
obj-$(CONFIG_FUJITSU_TABLET)	+= fujitsu-tablet.o

# GPD
obj-$(CONFIG_GPD_POCKET_FAN)	+= gpd-pocket-fan.o

# Hewlett Packard
obj-$(CONFIG_X86_PLATFORM_DRIVERS_HP)	+= hp/

# Hewlett Packard Enterprise
obj-$(CONFIG_UV_SYSFS)       += uv_sysfs.o

# IBM Thinkpad and Lenovo
obj-$(CONFIG_IBM_RTL)		+= ibm_rtl.o
obj-$(CONFIG_IDEAPAD_LAPTOP)	+= ideapad-laptop.o
obj-$(CONFIG_LENOVO_YMC)	+= lenovo-ymc.o
obj-$(CONFIG_SENSORS_HDAPS)	+= hdaps.o
obj-$(CONFIG_THINKPAD_ACPI)	+= thinkpad_acpi.o
obj-$(CONFIG_THINKPAD_LMI)	+= think-lmi.o
obj-$(CONFIG_LEGION_LAPTOP)	+= legion-laptop.o
obj-$(CONFIG_YOGABOOK)		+= lenovo-yogabook.o

# Intel
obj-y				+= intel/

# MSI
obj-$(CONFIG_MSI_EC)		+= msi-ec.o
obj-$(CONFIG_MSI_LAPTOP)	+= msi-laptop.o
obj-$(CONFIG_MSI_WMI)		+= msi-wmi.o

# OLPC
obj-$(CONFIG_XO15_EBOOK)	+= xo15-ebook.o
obj-$(CONFIG_XO1_RFKILL)	+= xo1-rfkill.o

# PC Engines
obj-$(CONFIG_PCENGINES_APU2)	+= pcengines-apuv2.o

# Barco
obj-$(CONFIG_BARCO_P50_GPIO)	+= barco-p50-gpio.o

# Samsung
obj-$(CONFIG_SAMSUNG_LAPTOP)	+= samsung-laptop.o
obj-$(CONFIG_SAMSUNG_Q10)	+= samsung-q10.o

# Toshiba
obj-$(CONFIG_TOSHIBA_BT_RFKILL)	+= toshiba_bluetooth.o
obj-$(CONFIG_TOSHIBA_HAPS)	+= toshiba_haps.o
obj-$(CONFIG_TOSHIBA_WMI)	+= toshiba-wmi.o

# toshiba_acpi must link after wmi to ensure that wmi devices are found
# before toshiba_acpi initializes
obj-$(CONFIG_ACPI_TOSHIBA)	+= toshiba_acpi.o

# Inspur
obj-$(CONFIG_INSPUR_PLATFORM_PROFILE)	+= inspur_platform_profile.o

# Laptop drivers
obj-$(CONFIG_ACPI_CMPC)		+= classmate-laptop.o
obj-$(CONFIG_COMPAL_LAPTOP)	+= compal-laptop.o
obj-$(CONFIG_LG_LAPTOP)		+= lg-laptop.o
obj-$(CONFIG_PANASONIC_LAPTOP)	+= panasonic-laptop.o
obj-$(CONFIG_SONY_LAPTOP)	+= sony-laptop.o
obj-$(CONFIG_SYSTEM76_ACPI)	+= system76_acpi.o
obj-$(CONFIG_TOPSTAR_LAPTOP)	+= topstar-laptop.o

# Platform drivers
obj-$(CONFIG_FW_ATTR_CLASS)		+= firmware_attributes_class.o
obj-$(CONFIG_SERIAL_MULTI_INSTANTIATE)	+= serial-multi-instantiate.o
obj-$(CONFIG_MLX_PLATFORM)		+= mlx-platform.o
obj-$(CONFIG_TOUCHSCREEN_DMI)		+= touchscreen_dmi.o
obj-$(CONFIG_WIRELESS_HOTKEY)		+= wireless-hotkey.o
obj-$(CONFIG_X86_ANDROID_TABLETS)	+= x86-android-tablets/

# Intel uncore drivers
obj-$(CONFIG_INTEL_IPS)				+= intel_ips.o

# Intel miscellaneous drivers
intel_p2sb-y				:= p2sb.o
obj-$(CONFIG_P2SB)			+= intel_p2sb.o

# Intel PMIC / PMC / P-Unit devices
obj-$(CONFIG_INTEL_SCU_IPC)		+= intel_scu_ipc.o
obj-$(CONFIG_INTEL_SCU_PCI)		+= intel_scu_pcidrv.o
obj-$(CONFIG_INTEL_SCU_PLATFORM)	+= intel_scu_pltdrv.o
obj-$(CONFIG_INTEL_SCU_WDT)		+= intel_scu_wdt.o
obj-$(CONFIG_INTEL_SCU_IPC_UTIL)	+= intel_scu_ipcutil.o
obj-$(CONFIG_X86_INTEL_LPSS)		+= pmc_atom.o

# Siemens Simatic Industrial PCs
obj-$(CONFIG_SIEMENS_SIMATIC_IPC)	+= siemens/

# Winmate
obj-$(CONFIG_WINMATE_FM07_KEYS)		+= winmate-fm07-keys.o

# SEL
obj-$(CONFIG_SEL3350_PLATFORM)		+= sel3350-platform.o

=== debian/changelog ===
lenovolegionlinux (0.0.16+ds-1) unstable; urgency=medium

  * Fixed d/watch.
  * New upstream release.
  * Use python3-pyqt6 as build-depends, not python3-pyqt5.
  * Add libinih-dev (>= 58) as build-depends.
  * Add add-ini.c.patch.
  * Do not install legiond-cli.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Aug 2024 17:01:18 +0200

## lenovolegionlinux 0.0.18+ds

=== extra/service/legiond/Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
-CFLAGS ?= -Wall -O2
+CC ?= clang
+
+CFLAGS ?= -O2
+CFLAGS += -Wall -linih
 
 TARGET1 = legiond
-SOURCE1 = $(TARGET1).c
-TARGET2 = legiond-cli
+SOURCE1 = $(TARGET1).c modules/*.c
+TARGET2 = legiond-ctl
 SOURCE2 = $(TARGET2).c
 
 all: $(TARGET1) $(TARGET2)

=== debian/changelog ===
lenovolegionlinux (0.0.18+ds-5) unstable; urgency=medium

  * Manually merge Andreas Beckmann's MR:
    - declare Rules-Requires-Root: no
    - simplify DKMS packaging in d/rules
    - let dh_dkms perform version substitution in dkms.conf
    - set BUILD_EXCLUSIVE_CONFIG="CONFIG_ACPI_PLATFORM_PROFILE CONFIG_ACPI_WMI"
  * Fix location of lenovolegionlinux-sound script.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 15:23:01 +0100

lenovolegionlinux (0.0.18+ds-4) unstable; urgency=medium

  * Add a new lenovolegionlinux-sound package, for TI speaker's init at boot.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 14:01:48 +0100

lenovolegionlinux (0.0.18+ds-3) unstable; urgency=medium

  * Also package /usr/bin/legiond-ctl.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 13:36:00 +0100

lenovolegionlinux (0.0.18+ds-2) unstable; urgency=medium

  * Remove python3-legion-linux.service, as /usr/bin/fancurve-set doesn't
    exist anymore.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 13:06:02 +0100

lenovolegionlinux (0.0.18+ds-1) unstable; urgency=medium

  * New upstream releaes.
  * Fixed python3-legion-linux.install.
  * Add Make-legion_remove-return-void-and-set-remove_new.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Nov 2024 15:04:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  debhelper-compat (= 11),
  dh-python,
  dh-sequence-dkms,
- dkms,
+ libinih-dev (>= 58),
  lm-sensors,
  mokutil,
  openssl,
  openstack-pkg-tools,
  python3-all,
  python3-setuptools,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/johnfanv2/LenovoLegionLinux
 Vcs-Browser: https://salsa.debian.org/debian/lenovolegionlinux
@@ -23,7 +24,7 @@
 Architecture: all
 Depends:
  python3-argcomplete,
- python3-pyqt5,
+ python3-pyqt6,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
@@ -36,7 +37,6 @@
  apply different profiles if the battery charge is plugged or not.
 
 Package: legiond
-Section: utils
 Architecture: amd64
 Depends:
  lenovolegionlinux-dkms,
@@ -65,7 +65,7 @@
   - ?: custom mode (pink)
  .
  It implements the usual hwmon interface to monitor fan speed and temmperature
- and allows to set the fan curve inside the firware.
+ and allows one to set the fan curve inside the firware.
  .
  - /sys/class/hwmon/X/fan1_input or /sys/class/hwmon/X/fan2_input (ro)
    Current fan speed of fan1/fan2.
@@ -78,3 +78,17 @@
  - /sys/class/hwmon/X/pwmY_auto_pointZ_temp_hyst (rw) hysteris (CPU, GPU, or
  IC) at the Y-level in the fan curve. The lower temperatue of the level is the
  upper temperature minus the hysteris.
+
+Package: lenovolegionlinux-sound
+Architecture: amd64
+Depends:
+ ${misc:Depends},
+Description: script to initialize TI speaker at boot
+ This package provides a script to initialize TI (Texas Instrument) speakers
+ firmware of some Legion Lenovo laptops. For it to work, one needs to first
+ download TI's firmware and install it as /lib/firmware/TAS2XXX38*.bin, as the
+ kernel module needs it. Also, in Debian systems, only Linux kernel >= 6.10
+ contain the necessary kernel module for these speakers.
+ .
+ Note that I wrote this script for my own laptop, a Legion 7 Pro 82WS. The
+ initialization script may differ if using a different model.

## lenovolegionlinux 0.0.19+git2025-02

=== extra/service/legiond/Makefile ===
CC ?= clang

CFLAGS ?= -O2
CFLAGS += -Wall -linih

SRC = $(wildcard modules/*.c)
OBJ = $(SRC:.c=.o)

TARGET = legiond legiond-ctl
all: $(TARGET)

legiond: $(OBJ) legiond.o
	$(CC) $(CFLAGS) $(OBJ) legiond.o -o legiond

legiond-ctl: legiond-ctl.o
	$(CC) $(CFLAGS) legiond-ctl.o -o legiond-ctl

%.o : %.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f $(OBJ) $(TARGET) legiond.o legiond-ctl.o

.PHONY: all clean

## lenovolegionlinux 0.0.19+git2025-02-20.43f2ad0e+ds

=== debian/changelog ===
lenovolegionlinux (0.0.19+git2025-02-20.43f2ad0e+ds-0.2ubuntu1) plucky; urgency=medium

  * Fix Linux 6.14 build (LP: #2101946)

 -- Agathe Porte <agathe.porte@canonical.com>  Tue, 11 Mar 2025 10:57:28 +0100

lenovolegionlinux (0.0.19+git2025-02-20.43f2ad0e+ds-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to unstable.

 -- Agathe Porte <gagath@debian.org>  Mon, 03 Mar 2025 09:11:48 +0100

lenovolegionlinux (0.0.19+git2025-02-20.43f2ad0e+ds-0.1) unstable; urgency=medium

  [ Agathe Porte ]
  * Non-maintainer upload
  * New upstream version 0.0.19+git2025-02-20.43f2ad0e+ds (Closes: #1098642)
  * Move lenovolegionlinux-dkms to main (Closes: #1070824)

  [ Andreas Beckmann ]
  * dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="6.3"
  * Restrict autopkgtest-pkg-dkms to amd64

 -- Agathe Porte <gagath@debian.org>  Fri, 28 Feb 2025 14:32:13 +0100

lenovolegionlinux (0.0.19+ds-1) unstable; urgency=medium

  * New upstream release.
  * Removed Make-legion_remove-return-void-and-set-remove_new.patch applied
    upstream.
  * Also package profile files into /etc/legion_linux.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Dec 2024 23:37:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lenovolegionlinux
 Section: utils
 Priority: optional
-Maintainer: Thomas Goirand <zigo@debian.org>,
+Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
@@ -49,7 +50,7 @@
  the lenovolegionlinux-dkms package, and perform on-resume operations.
 
 Package: lenovolegionlinux-dkms
-Section: contrib/kernel
+Section: kernel
 Architecture: amd64
 Depends:
  ${misc:Depends},

## lenovolegionlinux 0.0.20%2Bds

=== debian/changelog ===
lenovolegionlinux (0.0.20+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1114165)
  * python3-legion-linux: Add the missing dependency on pkexec.
    (Closes: #1106493)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Oct 2025 16:53:20 +0300

lenovolegionlinux (0.0.20+ds-1) unstable; urgency=medium

  * New upstream release.
  * Fixed maintainer field.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2025 09:58:08 +0200

## lenovolegionlinux 0.0.20+ds

=== kernel_module/Makefile ===
SHELL := /bin/bash
KERNELVERSION  ?= $(shell uname --kernel-release)
KSRC := /lib/modules/$(KERNELVERSION)/build

#install dir for kernel drivers
INSTALLDIR := /lib/modules/$(KERNELVERSION)/kernel/drivers/platform/x86
MODDESTDIR := /lib/modules/$(KERNELVERSION)/kernel/drivers/platform/x86
DKMSDIR := /usr/src/LenovoLegionLinux-1.0.0

obj-m += legion-laptop.o

all:
	$(MAKE) -C $(KSRC) M=$(shell pwd) modules

moduleInContainer:
	docker run -it --rm -v "$(shell pwd)":/kernel_module -w /kernel_module  -v /usr/src/:/usr/src/  -v /lib/modules/:/lib/modules gcc:12.2.0 bash

allWarn:
	$(MAKE) -C $(KSRC) M=$(shell pwd) KCFLAGS=-W modules

clean:
	make -C $(KSRC) M=$(shell pwd) clean

install: all
	@rm --force --verbose $(INSTALLDIR)/legion-laptop.ko
	@mkdir --parent --verbose $(MODDESTDIR)
	@install --preserve-timestamps -D --mode=644 *.ko $(INSTALLDIR)
	@depmod --all $(KVER)
	@printf "%s\n" "Installion finished."

uninstall:
	@rm -f $(INSTALLDIR)/legion-laptop.ko
	@depmod --all
	@printf "%s\n" "Uninstall finished."

install_forcereload:
	make install
	make forcereloadmodule
	bash -c "./issue-warning.sh"

reloadmodule:
	rmmod legion-laptop.ko || true
	insmod legion-laptop.ko
	dmesg --ctime
	bash -c "./issue-warning.sh"

forcereloadmodule:
	rmmod legion-laptop.ko || true
	insmod legion-laptop.ko force=1
	dmesg --ctime
	bash -c "./issue-warning.sh"

forcereloadmodulereadonly:
	rmmod legion-laptop.ko || true
	insmod legion-laptop.ko force=1 ec_readonly=1
	dmesg --ctime
	bash -c "./issue-warning.sh"

reloadmodule_disableplatformprofile:
	rmmod legion-laptop.ko || true
	insmod legion-laptop.ko enable_platformprofile=0
	dmesg --ctime
	bash -c "./issue-warning.sh"

forcereloadmodule_disableplatformprofile:
	rmmod legion-laptop.ko || true
	insmod legion-laptop.ko force=1 enable_platformprofile=0
	dmesg --ctime
	bash -c "./issue-warning.sh"

dkms: all
	if [ -d $(DKMSDIR) ]; then\
    	rm --recursive $(DKMSDIR)/*;\
        cp --recursive * $(DKMSDIR)/;\
	else \
		mkdir --verbose $(DKMSDIR);\
        cp --recursive * $(DKMSDIR);\
		dkms add -m LenovoLegionLinux -v 1.0.0;\
	fi
	dkms build LenovoLegionLinux --force -v 1.0.0
	dkms install LenovoLegionLinux --force -v 1.0.0
	printf "%s\n" "Loading module"
	modprobe legion_laptop
	dmesg --ctime | grep legion_laptop
	bash -c "./issue-warning.sh"

=== kernel_module/6_10_patch/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for linux/drivers/platform/x86
# x86 Platform-Specific Drivers
#

# Windows Management Interface
obj-$(CONFIG_ACPI_WMI)		+= wmi.o
obj-$(CONFIG_WMI_BMOF)		+= wmi-bmof.o

# WMI drivers
obj-$(CONFIG_HUAWEI_WMI)		+= huawei-wmi.o
obj-$(CONFIG_MXM_WMI)			+= mxm-wmi.o
obj-$(CONFIG_NVIDIA_WMI_EC_BACKLIGHT)	+= nvidia-wmi-ec-backlight.o
obj-$(CONFIG_XIAOMI_WMI)		+= xiaomi-wmi.o
obj-$(CONFIG_GIGABYTE_WMI)		+= gigabyte-wmi.o

# Acer
obj-$(CONFIG_ACERHDF)		+= acerhdf.o
obj-$(CONFIG_ACER_WIRELESS)	+= acer-wireless.o
obj-$(CONFIG_ACER_WMI)		+= acer-wmi.o

# AMD
obj-y				+= amd/

# Advantech
obj-$(CONFIG_ADV_SWBUTTON)	+= adv_swbutton.o

# Apple
obj-$(CONFIG_APPLE_GMUX)	+= apple-gmux.o

# ASUS
obj-$(CONFIG_ASUS_LAPTOP)	+= asus-laptop.o
obj-$(CONFIG_ASUS_WIRELESS)	+= asus-wireless.o
obj-$(CONFIG_ASUS_WMI)		+= asus-wmi.o
obj-$(CONFIG_ASUS_NB_WMI)	+= asus-nb-wmi.o
obj-$(CONFIG_ASUS_TF103C_DOCK)	+= asus-tf103c-dock.o
obj-$(CONFIG_EEEPC_LAPTOP)	+= eeepc-laptop.o
obj-$(CONFIG_EEEPC_WMI)		+= eeepc-wmi.o

# Cisco/Meraki
obj-$(CONFIG_MERAKI_MX100)	+= meraki-mx100.o

# Dell
obj-$(CONFIG_X86_PLATFORM_DRIVERS_DELL)		+= dell/

# Fujitsu
obj-$(CONFIG_AMILO_RFKILL)	+= amilo-rfkill.o
obj-$(CONFIG_FUJITSU_LAPTOP)	+= fujitsu-laptop.o
obj-$(CONFIG_FUJITSU_TABLET)	+= fujitsu-tablet.o

# GPD
obj-$(CONFIG_GPD_POCKET_FAN)	+= gpd-pocket-fan.o

# Hewlett Packard
obj-$(CONFIG_X86_PLATFORM_DRIVERS_HP)	+= hp/

# Hewlett Packard Enterprise
obj-$(CONFIG_UV_SYSFS)       += uv_sysfs.o

# IBM Thinkpad and Lenovo
obj-$(CONFIG_IBM_RTL)		+= ibm_rtl.o
obj-$(CONFIG_IDEAPAD_LAPTOP)	+= ideapad-laptop.o
obj-$(CONFIG_LENOVO_YMC)	+= lenovo-ymc.o
obj-$(CONFIG_SENSORS_HDAPS)	+= hdaps.o
obj-$(CONFIG_THINKPAD_ACPI)	+= thinkpad_acpi.o
obj-$(CONFIG_THINKPAD_LMI)	+= think-lmi.o
obj-$(CONFIG_LEGION_LAPTOP)     += legion-laptop.o
obj-$(CONFIG_YOGABOOK)		+= lenovo-yogabook.o
obj-$(CONFIG_YT2_1380)		+= lenovo-yoga-tab2-pro-1380-fastcharger.o
obj-$(CONFIG_LENOVO_WMI_CAMERA)	+= lenovo-wmi-camera.o

# Intel
obj-y				+= intel/

# Microsoft
obj-$(CONFIG_ACPI_QUICKSTART)  += quickstart.o

# MeeGoPad
obj-$(CONFIG_MEEGOPAD_ANX7428)	+= meegopad_anx7428.o

# MSI
obj-$(CONFIG_MSI_EC)		+= msi-ec.o
obj-$(CONFIG_MSI_LAPTOP)	+= msi-laptop.o
obj-$(CONFIG_MSI_WMI)		+= msi-wmi.o
obj-$(CONFIG_MSI_WMI_PLATFORM)	+= msi-wmi-platform.o

# OLPC
obj-$(CONFIG_XO15_EBOOK)	+= xo15-ebook.o
obj-$(CONFIG_XO1_RFKILL)	+= xo1-rfkill.o

# PC Engines
obj-$(CONFIG_PCENGINES_APU2)	+= pcengines-apuv2.o

# Barco
obj-$(CONFIG_BARCO_P50_GPIO)	+= barco-p50-gpio.o

# Samsung
obj-$(CONFIG_SAMSUNG_LAPTOP)	+= samsung-laptop.o
obj-$(CONFIG_SAMSUNG_Q10)	+= samsung-q10.o

# Toshiba
obj-$(CONFIG_TOSHIBA_BT_RFKILL)	+= toshiba_bluetooth.o
obj-$(CONFIG_TOSHIBA_HAPS)	+= toshiba_haps.o
obj-$(CONFIG_TOSHIBA_WMI)	+= toshiba-wmi.o

# toshiba_acpi must link after wmi to ensure that wmi devices are found
# before toshiba_acpi initializes
obj-$(CONFIG_ACPI_TOSHIBA)	+= toshiba_acpi.o

# Inspur
obj-$(CONFIG_INSPUR_PLATFORM_PROFILE)	+= inspur_platform_profile.o

# Laptop drivers
obj-$(CONFIG_ACPI_CMPC)		+= classmate-laptop.o
obj-$(CONFIG_COMPAL_LAPTOP)	+= compal-laptop.o
obj-$(CONFIG_LG_LAPTOP)		+= lg-laptop.o
obj-$(CONFIG_PANASONIC_LAPTOP)	+= panasonic-laptop.o
obj-$(CONFIG_SONY_LAPTOP)	+= sony-laptop.o
obj-$(CONFIG_SYSTEM76_ACPI)	+= system76_acpi.o
obj-$(CONFIG_TOPSTAR_LAPTOP)	+= topstar-laptop.o

# Platform drivers
obj-$(CONFIG_FW_ATTR_CLASS)		+= firmware_attributes_class.o
obj-$(CONFIG_SERIAL_MULTI_INSTANTIATE)	+= serial-multi-instantiate.o
obj-$(CONFIG_MLX_PLATFORM)		+= mlx-platform.o
obj-$(CONFIG_TOUCHSCREEN_DMI)		+= touchscreen_dmi.o
obj-$(CONFIG_WIRELESS_HOTKEY)		+= wireless-hotkey.o
obj-$(CONFIG_X86_ANDROID_TABLETS)	+= x86-android-tablets/

# Intel uncore drivers
obj-$(CONFIG_INTEL_IPS)				+= intel_ips.o

# Intel miscellaneous drivers
intel_p2sb-y				:= p2sb.o
obj-$(CONFIG_P2SB)			+= intel_p2sb.o

# Intel PMIC / PMC / P-Unit devices
obj-$(CONFIG_INTEL_SCU_IPC)		+= intel_scu_ipc.o
obj-$(CONFIG_INTEL_SCU_PCI)		+= intel_scu_pcidrv.o
obj-$(CONFIG_INTEL_SCU_PLATFORM)	+= intel_scu_pltdrv.o
obj-$(CONFIG_INTEL_SCU_WDT)		+= intel_scu_wdt.o
obj-$(CONFIG_INTEL_SCU_IPC_UTIL)	+= intel_scu_ipcutil.o
obj-$(CONFIG_X86_INTEL_LPSS)		+= pmc_atom.o

# Siemens Simatic Industrial PCs
obj-$(CONFIG_SIEMENS_SIMATIC_IPC)	+= siemens/

# Silicom
obj-$(CONFIG_SILICOM_PLATFORM)		+= silicom-platform.o

# Winmate
obj-$(CONFIG_WINMATE_FM07_KEYS)		+= winmate-fm07-keys.o

# SEL
obj-$(CONFIG_SEL3350_PLATFORM)		+= sel3350-platform.o

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lenovolegionlinux
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Goirand <zigo@debian.org>,
+Maintainer: Thomas Goirand <zigo@debian.org>
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
@@ -24,6 +23,7 @@
 Package: python3-legion-linux
 Architecture: all
 Depends:
+ pkexec,
  python3-argcomplete,
  python3-pyqt6,
  python3-yaml,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

include /usr/share/openstack-pkg-tools/pkgos.make

PYTHON3S:=$(shell py3versions -vr)

UP_VERS=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg[[:digit:]]*//' -e 's/+ds[[:digit:]]*//')

%:
	dh $@ --with python3 $(MAX_PARALLEL)


execute_after_dh_auto_clean:
	rm -f $(CURDIR)/extra/service/legiond/legiond
	rm -f $(CURDIR)/extra/service/legiond/legiond-cli
	rm -rf python/legion_linux/build python/legion_linux/legion_linux.egg-info
	sed -i s/$(UP_VERS)/_VERSION/ python/legion_linux/setup.cfg

execute_before_dh_auto_build:
	$(MAKE) -C $(CURDIR)/extra/service/legiond
	sed -i s/_VERSION/$(UP_VERS)/ python/legion_linux/setup.cfg

execute_before_dh_auto_install:
	# Python stuff
	set -e ; set -x ; cd python/legion_linux ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-legion-linux ; \
	done

execute_before_dh_install:
	dh_install -plenovolegionlinux-dkms kernel_module/Makefile kernel_module/*.c usr/src/legion-laptop-$(UP_VERS)/

override_dh_dkms:
	dh_dkms -V$(UP_VERS)

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd -p legiond --name=legiond-onresume
	dh_installsystemd -p legiond --name=legiond

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="repacksuffix=+ds,\
dversionmangle=s/\+ds$//,\
mode=git,\
uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/-prerelease/~prerelease/" \
https://github.com/johnfanv2/LenovoLegionLinux refs/tags/v(\d[brc\d\.]+) \
debian debian/repack
